Package not authenticated - dpkg binary not in PATH

german

#1

Hallo,

Ich wollte prüfen ob die mobydick effektiv in der letzte Version war wie diese es behauptet. In eine Konsole:

root@mobydick:/TARGET/SHARE/etc/openvpn# apt-get upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages will be upgraded:
ex-mobydick
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 447 MB of archives.
After this operation, 1,685 GB disk space will be freed.
Do you want to continue [Y/n]?
WARNING: The following packages cannot be authenticated!
ex-mobydick
Install these packages without verification [y/N]?
E: Some packages could not be authenticated

Dann

root@mobydick:/TARGET/SHARE/etc/openvpn# apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages will be upgraded:
ex-mobydick
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 447 MB of archives.
After this operation, 1,685 GB disk space will be freed.
Do you want to continue [Y/n]?
WARNING: The following packages cannot be authenticated!
ex-mobydick
Install these packages without verification [y/N]? y
Get:1 https://my.pascom.net/29f488e58e000d8154dce0381c620d28350a57a6/ mobydick/community ex-mobydick all 7.17.10.R [447 MB]
Fetched 447 MB in 41min 17s (180 kB/s)
dpkg: warning: ‘ldconfig’ not found in PATH or not executable
dpkg: warning: ‘start-stop-daemon’ not found in PATH or not executable
dpkg: error: 2 expected programs not found in PATH or not executable
Note: root’s PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin
E: Sub-process /usr/bin/dpkg returned an error code (2)

Was ist loss ?

Daniel


#2

Hallo @tootai,

die direkte Verwendung von apt-Kommandos auf einer Shell ist nicht vorgesehen. Bitte prüfe auf Updates wie in der Dokumentation beschrieben mithilfe des WebUIs.

Grüße,
Jan


#3

Hallo Jan. Das hatte Ich gemacht und es zeigte alles ist up to date. Wie kommt es das apt mir sagt es gibt ein Neues Packet und die WebUI sagt keine Neue Packeten ?

Daniel


#4

Hallo @tootai,

wir benutzen die apt-tools ausschließlich für die tatsächliche Installation. Das WebUI ruft alle beteiligten Programme mit den jeweils “richtigen” Parametern auf, was ein direkter Aufruf in einer Shell nicht tut. Wie gesagt, bitte verwende das WebUI, das zeigt die richtigen Informationen an.

Grüße,
Jan